/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: MainMenu.java 464373 2006-10-16 04:21:54Z rahul $
 */

package org.apache.shale.examples.mailreader;

import org.apache.struts.apps.mailreader.dao.User;

/**
 * <p><code>ViewController</code> for the <code>index</code> page.</p>
 */

public class MainMenu extends BaseViewController {
    
    
    // -------------------------------------------------------------- Properties


    // ---------------------------------------------------------- Event Handlers


    /**
     * <p>Set the appropriate mode and forward to the registration page.</p>
     */
    public String edit() {

        getState().setMode("EDIT");
        Registration registration = (Registration)getBean("registration");
        User user = getState().getUser();
        registration.setFromAddress(user.getFromAddress());
        registration.setFullName(user.getFullName());
        registration.setPassword(user.getPassword());
        registration.setPassword2(user.getPassword());
        registration.setReplyToAddress(user.getReplyToAddress());
        registration.setSubscriptions(user.getSubscriptions());
        registration.setUsername(user.getUsername());
        return "registration";

    }


    /**
     * <p>Remove the currently logged user and return to the welcome page.</p>
     */
    public String logoff() {

        getState().setUser(null);
        return "welcome";

    }


    // -------------------------------------------------- ViewController Methods


}
